Subject: Re: bug#76683: [PATCH] Eglot: Implement additionalPropertiesSupport for showMessage

From: Felician Nemeth <[email-masked]>
Date: Sat, 08 Mar 2025 17:40:43 +0100

João Távora <[email-masked]> writes:

> eglot--lambda doesn't have some like &whole arg support (because
> cl-destructuring-bind also doesn't, unfortunatley).  I have a patch
> for that, but could only find one place to use it so I held it back.
> But it seems there are at least two, so I'll attach the patch after my
> sig and you tell me if you think it's worth it.  Possibly it's not, at
> least not yet.  Unless you have things in eglot-x.el that could take
> advantage.

I don't see use cases for it at the moment, but I keep this in mind and
let you know when something comes up.

> I pushed a very slightly simplified version of the patch.  Check if it
> is OK (I didn't test).  We can fixup later if I introduced a bug.

The pushed version works for me.  Thank you,

Felicián